[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TIniCollectionItem.SaveToIni

Method called when the item must be saved

## Declaration

Source position: inicol.pp line 31

`public procedure TIniCollectionItem.SaveToIni(`
`Ini: TCustomIniFile;`
`Section: string`
`); virtual; abstract;`

## Arguments

`Ini` |  | TCustomIniFile instance to which the item should be saved
`Section` |  | Section under which data should be saved.

## Description

SaveToIni is called by TIniCollection.SaveToIni when it saves this item. Descendent classes should override this method to save the data they need to save. All write methods of the TCustomIniFile instance passed in Ini can be used, as long as the writing happens in the section passed in Section.

## Errors

No checking is done to see whether the values are actually written to the correct section.

## See also

TIniCollection.SaveToIni |  | Save the collection to a TCustomIniFile descendent
LoadFromIni |  | Method called when the item must be loaded
SaveToFile |  | Save item to a file
LoadFromFile |  | Load item from a file